# Zeiterfassung
# UI
from definitions import *

import tkinter as tk
from tkinter import ttk
from tkinter import messagebox

from timestamping import append_timestamp, len_timestamps
from users import determine_filename


def ui_stempeln(button, label):
    append_timestamp(determine_filename(label))
    global buttons
    if len_timestamps(determine_filename(label)) % 2 == 0:
        buttons[button].configure(relief="raised", bg="red")
    else:
        buttons[button].configure(relief="sunken", bg="green")

def win_stempeln(userlist):
    stempeln = tk.Tk()
    stempeln.title(program_name + " " + program_version)
    stempeln.geometry("600x400")
    stempeln.minsize(width=200, height=200)

    global buttons
    buttons = [ ]
    button_index = 0

    stempeln.columnconfigure(0, weight=1)
    stempeln.rowconfigure(0, weight=1)

    for i in userlist:

        button = tk.Button(stempeln, text=i, height=5, command=lambda b=button_index, label=i: ui_stempeln(b, label))
        if len_timestamps(determine_filename(i)) % 2 == 0:
            button.configure(relief="raised", bg ="red")
        else:
            button.configure(relief="sunken", bg="green")
        button.grid(row=button_index, column=0, sticky="ew")
        buttons.append(button)
        button_index+=1

    stempeln.mainloop()